ChangeSet 1.1254.4.21, 2003/06/04 12:31:25-07:00, greg@kroah.com

[PATCH] PCI: remove usage of pci_for_each_dev() in drivers/char/hw_random.c


 drivers/char/hw_random.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/char/hw_random.c b/drivers/char/hw_random.c
--- a/drivers/char/hw_random.c	Wed Jun  4 18:10:45 2003
+++ b/drivers/char/hw_random.c	Wed Jun  4 18:10:45 2003
@@ -573,13 +573,13 @@
 static int __init rng_init (void)
 {
 	int rc;
-	struct pci_dev *pdev;
+	struct pci_dev *pdev = NULL;
 	const struct pci_device_id *ent;
 
 	DPRINTK ("ENTER\n");
 
 	/* Probe for Intel, AMD RNGs */
-	pci_for_each_dev(pdev) {
+	while ((pdev = pci_find_device(PCI_ANY_ID, PCI_ANY_ID, pdev)) != NULL) {
 		ent = pci_match_device (rng_pci_tbl, pdev);
 		if (ent) {
 			rng_ops = &rng_vendor_ops[ent->driver_data];
